## sch-rnd 1.0.9

=== src/Makefile ===
all:
	cd libcschem && $(MAKE)
	cd sch-rnd && $(MAKE)

dep:
	cd libcschem && $(MAKE) dep
	cd sch-rnd && $(MAKE) dep

clean:
	cd libcschem && $(MAKE) clean
	cd sch-rnd && $(MAKE) clean

distclean:
	cd libcschem && $(MAKE) distclean
	cd sch-rnd && $(MAKE) distclean

install:
	cd sch-rnd && $(MAKE) install

linstall:
	cd sch-rnd && $(MAKE) linstall

uninstall:
	cd sch-rnd && $(MAKE) uninstall

=== doc/tutorial/Makefile ===
ROOT=../..
TUTDIR=$(DOCDIR)/tutorial

all:

install_all:
	$(SCCBOX) mkdir -p $(TUTDIR)
	$(SCCBOX) $(HOW) -d *.html $(TUTDIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== tests/hier/Makefile ===
all:

test:
	@for n in *; do if test -d $$n; then cd $$n && make test || exit 1; cd ..; fi; done
	@echo "*** QC PASS ***"

clean:
	@for n in *; do if test -d $$n; then cd $$n && make clean; cd ..; fi; done

distclean:
	@for n in *; do if test -d $$n; then cd $$n && make distclean; cd ..; fi; done

=== src/plugins/attbl_tedax/Makefile ===
all:
	cd ../../sch-rnd && make mod_attbl_tedax

=== src/plugins/io_tinycad/Makefile ===
all:
	cd ../../sch-rnd && make mod_io_tinycad

=== src/plugins/std_tools/Makefile ===
all:
	cd ../../sch-rnd && make mod_std_tools

=== src/plugins/target_spice/Makefile ===
all:
	cd ../../sch-rnd && make mod_target_spice

=== tests/hier/spice_slot/Makefile ===
ROOT=../../..
SRC=$(ROOT)/src/sch-rnd
HERE=$(shell pwd)

all:

test:
	@cd $(SRC) && ./sch-rnd -x spice --outfile $(HERE)/spc.out $(HERE)/project.lht && cd $(HERE)
	@diff -u spc.ref spc.out
	@rm spc.out

distclean clean:
	touch spc.out
	rm spc.out

=== debian/changelog ===
sch-rnd (1.0.9-2) unstable; urgency=medium

  * work around problems introduced by gcc 15, closes: #1097853

 -- Bdale Garbee <bdale@gag.com>  Sun, 07 Sep 2025 01:26:06 -0600

sch-rnd (1.0.9-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 21 May 2025 13:58:23 -0600

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# resolve FTBFS with gcc 15 until upstream comes up with a better solution
CFLAGS += -std=c17 -Wno-error=implicit-function-declaration

%:
	dh $@

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		--confdir=/etc/sch-rnd \
		--prefix/libs/script/fungw=/dev/null \
		\
		--all=disable \
		--buildin-funcmap \
		--buildin-act_read \
		--buildin-place \
		--buildin-symlib_local \
		--buildin-lib_netlist_exp \
		--buildin-std_tools \
		--buildin-renumber \
		--buildin-io_ngrp_tedax \
		--buildin-backann \
		--buildin-std_cschem \
		--buildin-export_tedax \
		--buildin-lib_tedax \
		--buildin-lib_anymap \
		--buildin-hlibrary_fs \
		--buildin-std_forge \
		--buildin-std_devmap \
		--buildin-propedit \
		--buildin-io_ngrp_fawk \
		--buildin-io_lihata \
		--buildin-lib_nanojson \
		--buildin-export_boxsym \
		--buildin-target_spice \
		--buildin-target_pcb \
		--buildin-lib_attbl \
		--buildin-act_draw \
		--buildin-target_none \
		--buildin-symlib_fs \
		--buildin-query \
		--buildin-lib_target \
		--buildin-export_spice \
		--buildin-lib_ngrp \
		--buildin-construct \
		--plugin-lib_alien \
		--plugin-io_eeschema \
		--plugin-export_ps \
		--plugin-export_bom \
		--plugin-export_abst \
		--plugin-attbl_tedax \
		--plugin-io_orcad \
		--plugin-io_altium \
		--plugin-sim_gui \
		--plugin-sch_dialogs \
		--plugin-lib_plot \
		--plugin-export_lpr \
		--plugin-attbl_csv \
		--plugin-export_tedax_footprint \
		--plugin-attbl_json \
		--plugin-export_svg \
		--plugin-sim \
		--plugin-gui \
		--plugin-diag \
		--plugin-sim_ngspice \
		--plugin-io_easyeda \
		--plugin-io_tinycad \
		--plugin-io_geda \
		--plugin-export_png \
		--plugin-attbl_lht \
		--plugin-lib_ucdf 
	cat scconfig/config.log
	cat scconfig/config.cache

override_dh_auto_test:
	dh_auto_test --no-parallel

## sch-rnd 1.0.10

=== Makefile ===
all:
	cd src && $(MAKE) all
	cd util && $(MAKE) all
	cd tests && $(MAKE) all && cd ..

dep:
	cd src && $(MAKE) dep

clean:
	cd src && $(MAKE) clean
	cd src_3rd && $(MAKE) clean
	cd util && $(MAKE) clean
	cd tests && $(MAKE) clean && cd ..

distclean:
	cd src && $(MAKE) distclean
	cd util && $(MAKE) distclean
	cd scconfig && $(MAKE) distclean
	cd tests && $(MAKE) distclean && cd ..

install:
	cd src && $(MAKE) install
	cd doc && $(MAKE) install
	cd library && $(MAKE) install
	cd util && $(MAKE) install
	cd src_3rd && $(MAKE) install
	cd font && $(MAKE) install

linstall:
	cd src && $(MAKE) linstall
	cd doc && $(MAKE) linstall
	cd library && $(MAKE) linstall
	cd util && $(MAKE) linstall
	cd src_3rd && $(MAKE) linstall
	cd font && $(MAKE) linstall

uninstall:
	cd src && $(MAKE) uninstall
	cd doc && $(MAKE) uninstall
	cd library && $(MAKE) uninstall
	cd util && $(MAKE) uninstall
	cd src_3rd && $(MAKE) uninstall
	cd font && $(MAKE) uninstall

test:
	cd tests && $(MAKE) test && cd ..

=== doc/Makefile ===
MENU_RES=../src/sch-rnd/menu-default.lht
ROOT=..

all: user/05_ui/keytree.svg user/05_ui/keytree.txt keys.html
	ROOT="" ./Autostyle.sh *.html
	ROOT="../" ./Autostyle.sh tutorial/index.html user/index.html
	./datasheet.sh

include ../Makefile.conf
include $(LIBRND_MAK)

user/05_ui/keytree.svg: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --dot user/05_ui/src/node_names.txt $(MENU_RES) > user/05_ui/keytree.dot
	dot -Tsvg < user/05_ui/keytree.dot >user/05_ui/keytree.svg

user/05_ui/keytree.txt: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) --lst $(MENU_RES) > user/05_ui/keytree.txt

keys.html: $(MENU_RES) $(KEYLIST)
	$(KEYLIST) $(MENU_RES) > keys.html

install_main:
	$(SCCBOX) $(HOW) *.html *.txt TODO $(DOCDIR)/

install:
	$(SCCBOX) mkdir -p "$(DOCDIR)" "$(DOCDIR)/resources"
	cd design && $(MAKE) install
	cd developer && $(MAKE) install
	cd examples && $(MAKE) install
	cd man && $(MAKE) install
	cd resources && $(MAKE) install
	cd tutorial && $(MAKE) install
	cd user && $(MAKE) install
	$(MAKE) install_main HOW="install -f -d"

linstall:
	cd design && $(MAKE) linstall
	cd developer && $(MAKE) linstall
	cd examples && $(MAKE) linstall
	cd man && $(MAKE) linstall
	cd resources && $(MAKE) linstall
	cd tutorial && $(MAKE) linstall
	cd user && $(MAKE) linstall
	$(MAKE) install_main HOW="install -f -l -d"

uninstall:
	cd design && $(MAKE) uninstall
	cd developer && $(MAKE) uninstall
	cd examples && $(MAKE) uninstall
	cd man && $(MAKE) uninstall
	cd resources && $(MAKE) uninstall
	cd tutorial && $(MAKE) uninstall
	cd user && $(MAKE) uninstall
	$(MAKE) install_main HOW="install -f -u -d"

clean:
	cd design && $(MAKE) clean
	cd developer && $(MAKE) clean
	cd examples && $(MAKE) clean
	cd man && $(MAKE) clean
	cd tutorial && $(MAKE) clean
	cd user && $(MAKE) clean

distclean:
	cd design && $(MAKE) distclean
	cd developer && $(MAKE) distclean
	cd examples && $(MAKE) distclean
	cd man && $(MAKE) distclean
	cd tutorial && $(MAKE) distclean
	cd user && $(MAKE) distclean

=== library/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from ../Makefile.conf which is scconfig generated

ROOT=..

all:

# NOTE: this rule is _not_ called from linstall
install_:
	$(MKDIR) "$(DATADIR)/symbol" "$(DATADIR)/hlibrary" "$(DATADIR)/devmap" "$(DATADIR)/spice"
	$(CPC) "`pwd`/devmap"/* "$(DATADIR)/devmap"
	$(CPC) "`pwd`/spice"/* "$(DATADIR)/spice"
	$(CPC) "`pwd`/symbol"/common_sym.awk "$(DATADIR)/symbol"/common_sym.awk
	$(CPC) "`pwd`/symbol"/LICENSE "$(DATADIR)/symbol"/LICENSE
	$(MKDIR) "$(DATADIR)/symbol/analog"
	$(CPC) "`pwd`/symbol/analog"/* "$(DATADIR)/symbol/analog"
	$(MKDIR) "$(DATADIR)/symbol/diode"
	$(CPC) "`pwd`/symbol/diode"/* "$(DATADIR)/symbol/diode"
	$(MKDIR) "$(DATADIR)/symbol/mech"
	$(CPC) "`pwd`/symbol/mech"/* "$(DATADIR)/symbol/mech"
	$(MKDIR) "$(DATADIR)/symbol/misc"
	$(CPC) "`pwd`/symbol/misc"/* "$(DATADIR)/symbol/misc"
	$(MKDIR) "$(DATADIR)/symbol/passive"
	$(CPC) "`pwd`/symbol/passive"/* "$(DATADIR)/symbol/passive"
	$(MKDIR) "$(DATADIR)/symbol/power"
	$(CPC) "`pwd`/symbol/power"/* "$(DATADIR)/symbol/power"
	$(MKDIR) "$(DATADIR)/symbol/transistor"
	$(CPC) "`pwd`/symbol/transistor"/* "$(DATADIR)/symbol/transistor"

install:
	$(MAKE) install_ CPC="$(CP)"

# hack: pcb's chdir() based approach gets fooled on symlinks because of "cd .."
# returns to the wrong dir - rather symlink the whole dir
linstall:
	$(MAKE) uninstall
	$(MKDIR) "$(DATADIR)"
	$(LN) "`pwd`/symbol" "$(DATADIR)/symbol"
	$(LN) "`pwd`/hlibrary" "$(DATADIR)/hlibrary"
	$(LN) "`pwd`/devmap" "$(DATADIR)/devmap"
	$(LN) "`pwd`/spice" "$(DATADIR)/spice"

uninstall:
	$(RM) "$(DATADIR)/symbol" "$(DATADIR)/devmap" "$(DATADIR)/spice"

clean:

include $(ROOT)/Makefile.conf

=== src_3rd/Makefile ===
ROOT=..

include $(ROOT)/Makefile.conf

all: libminuid/minuid

clean:
	cd libminuid && make clean && cd ..
	cd libucdf && make clean && cd ..
	cd libuundo && make clean && cd ..
	cd load_cache && make clean && cd ..
	-rm rnd_inclib/font/*.o

distclean: clean

install_: libminuid/minuid
	-$(SCCBOX) mkdir -p $(LIBDIR)/boxsym-rnd
	$(CPC) "`pwd`/libminuid/minuid$(EXE)" "$(LIBDIR)/minuid$(EXE)"

install:
	$(MAKE) install_ CPC="$(SCCBOX) install"

linstall:
	$(MAKE) install_ CPC="$(SCCBOX) linstall"

uninstall:
	$(MAKE) install_ CPC="$(SCCBOX) uninstall"

include $(ROOT)/Makefile.conf

libminuid/minuid:
	cd ../src/libcschem && make ../../src_3rd/libminuid/minuid && cd ..

=== tests/Makefile ===
all:
	cd export_abst && $(MAKE) all && cd ..
	cd export_spice && $(MAKE) all && cd ..
	cd std_forge_cond && $(MAKE) all && cd ..
	cd hier && $(MAKE) all && cd ..

test:
	@cd export_abst && $(MAKE) test && cd ..
	@cd export_spice && $(MAKE) test && cd ..
	@cd std_forge_cond && $(MAKE) test && cd ..
	@cd hier && $(MAKE) test && cd ..
	@echo ""
	@echo "======================================================="
	@echo "=== All tests passed; it is safe to install sch-rnd ==="
	@echo "======================================================="
	@echo ""

clean:
	cd export_abst && $(MAKE) clean && cd ..
	cd export_spice && $(MAKE) clean && cd ..
	cd std_forge_cond && $(MAKE) clean && cd ..
	cd hier && $(MAKE) clean && cd ..


distclean:
	cd export_abst && $(MAKE) distclean && cd ..
	cd export_spice && $(MAKE) distclean && cd ..
	cd std_forge_cond && $(MAKE) distclean && cd ..
	cd hier && $(MAKE) distclean && cd ..

=== util/Makefile ===
ROOT=..
MINUID=$(ROOT)/src_3rd/libminuid

all:

clean:

distclean:

# install from util/
install_:

install:
	$(MAKE) install_ CPC="$(SCCBOX) install"
	cd boxsym-rnd && $(MAKE) install

linstall:
	$(MAKE) install_ CPC="$(SCCBOX) linstall"
	cd boxsym-rnd && $(MAKE) linstall

uninstall:
	$(MAKE) install_ CPC="$(SCCBOX) uninstall"
	cd boxsym-rnd && $(MAKE) uninstall

include $(ROOT)/Makefile.conf

=== doc/developer/Makefile ===
ROOT=../..
DEVDIR=$(DOCDIR)/developer

all:

install_all:
	$(SCCBOX) mkdir -p $(DEVDIR)/lihata_format $(DEVDIR)/lihata_format/examples
	$(SCCBOX) $(HOW) -d lihata_format/*.html $(DEVDIR)/lihata_format
	$(SCCBOX) $(HOW) -d lihata_format/*.svg $(DEVDIR)/lihata_format
	$(SCCBOX) $(HOW) -d lihata_format/*.txt $(DEVDIR)/lihata_format
	$(SCCBOX) $(HOW) -d lihata_format/examples/* $(DEVDIR)/lihata_format/examples
	$(SCCBOX) $(HOW) -d *.html *.txt $(DEVDIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== doc/man/Makefile ===
# This Makefile is a plain old hand written one; all configuration settings
# are included from $(ROOT)/Makefile.conf which is scconfig generated
ROOT=../..

IN=sch-rnd.1.mml boxsym-rnd.1.mml boxsym-rnd.5.mml
OUT_HTML = sch-rnd.1.html boxsym-rnd.1.html boxsym-rnd.5.html
OUT_MAN1 = sch-rnd.1 boxsym-rnd.1 boxsym-rnd.5
OUT_LINT = sch-rnd.1.lint boxsym-rnd.1.lint boxsym-rnd.5.lint

OUTPUT = $(OUT_HTML) $(OUT_MAN1) index.html
MML = mml

all: $(OUTPUT)

lint: $(OUT_LINT)

.SUFFIXES: .html .mml .lint

.mml.html: .mml_linkmap
	$(MML) -i copyright.mml -f html $<  > $@

.mml:
	$(MML) -i copyright.mml -f man $<  > $@

.mml_linkmap:
	$(MML) -i copyright.mml -f linkmap $(IN) > $@

index.html: $(IN)
	@echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">' > $@
	@echo '<HTML><HEAD><meta http-equiv="Content-Type" content="text/html;charset=us-ascii"><TITLE>man page index - sch-rnd</TITLE></HEAD><BODY><UL>' >> $@
	$(MML) -i copyright.mml -f indexhtml $(IN) >> $@
	@echo "</UL></BODY></HTML>" >> $@

clean:

distclean:

genclean:
	rm $(OUTPUT) 2>/dev/null ; true

.mml.lint:
	$(MML) -i copyright.mml -f lint $<

install_all:
	$(SCCBOX) mkdir -p "$(MAN1DIR)" "$(MAN5DIR)"
	$(SCCBOX) $(HOW) "sch-rnd.1" "$(MAN1DIR)/sch-rnd.1"
	$(SCCBOX) $(HOW) "boxsym-rnd.1" "$(MAN1DIR)/boxsym-rnd.1"
	$(SCCBOX) $(HOW) "boxsym-rnd.5" "$(MAN5DIR)/boxsym-rnd.5"

install:
	$(MAKE) install_all HOW="install -f"

linstall:
	$(MAKE) install_all HOW="linstall -f"

uninstall:
	$(MAKE) install_all HOW="uninstall"

include $(ROOT)/Makefile.conf

=== doc/resources/Makefile ===
ROOT=../..
RESDIR=$(DOCDIR)/resources

all:

install_all:
	$(SCCBOX) mkdir -p $(RESDIR)
	$(SCCBOX) $(HOW) -d *.png *.svg *.eps *.jpg $(RESDIR)

install:
	$(MAKE) install_all HOW="install -f -d"

linstall:
	$(MAKE) install_all HOW="install -f -l -d"

uninstall:
	$(MAKE) install_all HOW="install -u"

clean:

distclean:


include $(ROOT)/Makefile.conf

=== src_3rd/libminuid/Makefile ===
CFLAGS = $(LIBMINUID_CFLAGS)
LDFLAGS = $(LIBMINUID_LDFLAGS)

#CFLAGS += -g -Wall -ansi -pedantic
#LDFLAGS = -rdynamic

INCDIR=$(install_root)$(DESTDIR)/usr/include
LIBDIR=$(install_root)$(DESTDIR)/usr/lib

VER_MAJOR=1
VER_MINOR=0
VER_PATCH=1
VER=$(VER_MAJOR).$(VER_MINOR).$(VER_PATCH)

LIBSO=libminuid.so.$(VER)
LIBSO1=libminuid.so.$(VER_MAJOR)
LIBA=libminuid.a


all: $(LIBA) $(LIBSO) minuid

libminuid.o: libminuid.c libminuid.h
	$(CC) $(CFLAGS) -c libminuid.c -o $@

$(LIBSO): libminuid.o
	$(CC) $(LDFLAGS) -shared -dynamic -o $@ libminuid.o

$(LIBA): libminuid.o
	@touch $(LIBA)
	@rm $(LIBA)
	@ar ru $(LIBA) libminuid.o
	-ar s $(LIBA)
	-ranlib $(LIBA)

minuid$(EXE): minuid.o libminuid.o
	$(CC) $(LDFLAGS) minuid.o libminuid.o -o $@

minuid.o: minuid.c libminuid.h
	$(CC) $(CFLAGS) -c minuid.c -o $@


clean:
	-rm libminuid.o $(LIBA) $(LIBSO) $(LIBSO1) minuid.o minuid$(EXE)

install_:
	mkdir -p $(INCDIR) $(LIBDIR)
	$(CP) `pwd`/libminuid.h $(INCDIR)/libminuid.h
	$(CP) `pwd`/$(LIBSO) $(LIBDIR)/$(LIBSO)
	$(CP) `pwd`/$(LIBA) $(LIBDIR)/$(LIBA)

uninstall:
	rm $(INCDIR)/libminuid.h $(LIBDIR)/$(LIBSO) $(LIBDIR)/$(LIBA) $(LIBDIR)/$(LIBSO1)

install:
	make install_ CP="cp"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

linstall:
	make install_ CP="ln -s"
	ln -s $(LIBSO) $(LIBDIR)/$(LIBSO1)

=== src_3rd/libucsv/Makefile ===
CFLAGS = -Wall -g

tester: tester.o libucsv.o

tester.o: tester.c libucsv.h

libucsv.o: libucsv.c libucsv.h

test: tester
	@cd regression && ./test_all.sh && echo "*** QC PASS ***"

=== src_3rd/load_cache/Makefile ===
CFLAGS = -I.. -Wall -std=c89 -pedantic

all: load_cache.o

load_cache.o: load_cache.c load_cache.h
	$(CC) $(CFLAGS) -c -o load_cache.o load_cache.c

clean:
	-rm load_cache.o

=== debian/changelog ===
sch-rnd (1.0.10-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Sun, 26 Oct 2025 16:41:40 -0600
  

=== debian/control ===
Source: sch-rnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper-compat (= 11), librnd4-dev (>= 4.2.0), libxml2-dev
Standards-Version: 4.1.3
Homepage: http://repo.hu/projects/sch-rnd
Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/sch-rnd

Package: sch-rnd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-io-alien (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version}), librnd4-hid-gtk4-gl, sch-rnd-export-extra (= ${binary:Version}), sch-rnd-doc (= ${source:Version})
Suggests: camv-rnd, pcb-rnd, route-rnd
Description: Standard installation of sch-rnd
 sch-rnd is a highly modular schematic capture software with a rich set of
 plugins for communicating with various external design tools and other
 EDA/CAD packages.
 .
 Feature highlights:
   - explicit abstract model
   - back annotation support
   - multiple sheets
 .
 File formats and compatibility:
   - text based, tree structured native file format (lihata)
   - import netlist:
     * altium schematics
     * EasyEDA std, multi-page schematics sheets
     * KiCAD eeschema schematics version 20211123 .. 20250114
     * geda schematics (v2)
     * lihata cschem schematics (any version)
     * cschem non-graphical schematic sheets in fawk format
     * cschem non-graphical schematic sheets in tEDAx format
     * orcad schematics
     * TinyCAD schematics
   - export netlist:
     * Accel netlist
     * Allegro netlist
     * Bae netlist
     * Cadstar netlist
     * Calay netlist
     * Eagle netlist
     * Easyeda netlist
     * Edif netlist
     * Ewnet netlist
     * Fritzing netlist
     * Futurenet dash netlist
     * generic JSON netlist
     * KiCAD/pcbnew netlist
     * Maxascii netlist
     * Orcad netlist
     * Osmond netlist
     * PADS ASCII netlist
     * ProtelII netlist
     * Racal-Redac netlist
     * Systemc netlist
     * Tango netlist
     * tEDAx netlist
     * TinyCAD netlist
     * generic XML netlist
     * lihata cschem schematics (any version)
   - import misc:
     * attribute table CSV
     * attribute table json
     * attribute table lihata
     * attribute table tEDAx
     * BXL symbol
     * EasyEDA std, symbol
     * EasyEDA pro, symbol
     * geda symbol (v1)
     * lihata cschem symbol (any version)
   - export misc:
     * attribute table CSV
     * attribute table json
     * attribute table lihata
     * attribute table tEDAx
     * abstract model text
     * Bill of Materials
     * boxsym
     * Eagle5 tabular net+bom
     * printer (using ps)
     * png
     * ps
     * eps
     * spice
     * svg
     * tdx
     * lihata cschem symbol (any version)

Package: sch-rnd-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for sch-rnd
 User manual and developer doc (html).

Package: sch-rnd-sim
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-lib-gui (= ${binary:Version})
Description: High level circuit simulation
 Circuit simulation that can export and execute SPICE (ngspice) in the
 background and save or present the results. Works both from the GUI
 (with dialogs for configuring simulation setups, presenting plots and
 data in the same dialog) and from CLI (with actions using existing
 configuration, saving output data to a computer readable file).

Package: sch-rnd-io-alien
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: File format compatibility with other schematics capture tools.
 Load and/or save boards in file formats supported by other EDA tools,
 geda/gschem, lepton-eda, TinyCAD, Altium.

Package: sch-rnd-export-gd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-pixmap (>= 4.2.0)
Description: Export formats that require libgd.
 Bitmap export plugin (png, jpeg, etc.)

Package: sch-rnd-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), librnd4-lib-gui (>= 4.2.0)
Description: Support library for building the GUI.
 Provides sch-rnd specific dialog boxes and top window GUI elements.

Package: sch-rnd-core
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (>= 4.2.0)
Description: sch-rnd executable with the core functionality and boxsym-rnd
 Includes the data model, the most common action commands, the native
 file format. Can be used in headless mode or batch/scripted mode for
 automated processing or with GUI (if sch-rnd-lib-gui and librnd GUI
 HIDs are installed).

Package: sch-rnd-export-vector
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: Export formats: vector graphics
 Common vector graphic export formats: ps, eps, svg.

Package: sch-rnd-export-extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version}), sch-rnd-export-vector (= ${binary:Version})
Description: Export formats: special/extra
 Less commonly used export formats: abstract model text export, direct
 printing with lpr.

Package: sch-rnd-debug
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, sch-rnd-core (= ${binary:Version})
Description: Debug and diagnostics.
 Extra action commands to help in debugging and diagnosing problems
 and bugs.

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
-
-# resolve FTBFS with gcc 15 until upstream comes up with a better solution
-CFLAGS += -std=c17 -Wno-error=implicit-function-declaration
 
 %:
 	dh $@
@@ -58,34 +55,57 @@
 		--buildin-export_spice \
 		--buildin-lib_ngrp \
 		--buildin-construct \
+		--plugin-io_easyeda \
+		--plugin-export_osmond \
+		--plugin-export_lpr \
+		--plugin-sch_dialogs \
+		--plugin-export_systemc \
+		--plugin-io_eeschema \
+		--plugin-export_orcad \
+		--plugin-sim_ngspice \
+		--plugin-export_cadstar \
+		--plugin-export_pads_ascii \
+		--plugin-io_geda \
+		--plugin-export_redac \
+		--plugin-gui \
+		--plugin-attbl_json \
+		--plugin-export_bom \
+		--plugin-export_easyeda \
+		--plugin-export_protelII \
+		--plugin-export_jsonnet \
+		--plugin-export_accel \
+		--plugin-sim_gui \
 		--plugin-lib_alien \
-		--plugin-io_eeschema \
+		--plugin-export_futurenet2 \
+		--plugin-lib_ucdf \
+		--plugin-io_altium \
+		--plugin-export_tedax_footprint \
+		--plugin-export_edif \
+		--plugin-attbl_tedax \
 		--plugin-export_ps \
-		--plugin-export_bom \
+		--plugin-io_orcad \
+		--plugin-export_maxascii \
+		--plugin-export_tango \
+		--plugin-io_tinycad \
+		--plugin-attbl_csv \
+		--plugin-sim \
+		--plugin-diag \
+		--plugin-export_xmlnet \
+		--plugin-export_allegro \
+		--plugin-export_svg \
+		--plugin-export_eagle \
+		--plugin-attbl_lht \
+		--plugin-export_kicad \
+		--plugin-export_png \
+		--plugin-export_bae \
+		--plugin-export_calay \
 		--plugin-export_abst \
-		--plugin-attbl_tedax \
-		--plugin-io_orcad \
-		--plugin-io_altium \
-		--plugin-sim_gui \
-		--plugin-sch_dialogs \
+		--plugin-export_ewnet \
+		--plugin-export_fritzing \
+		--plugin-io_bxl \
+		--plugin-export_eagle5 \
 		--plugin-lib_plot \
-		--plugin-export_lpr \
-		--plugin-attbl_csv \
-		--plugin-export_tedax_footprint \
-		--plugin-attbl_json \
-		--plugin-export_svg \
-		--plugin-sim \
-		--plugin-gui \
-		--plugin-diag \
-		--plugin-sim_ngspice \
-		--plugin-io_easyeda \
-		--plugin-io_tinycad \
-		--plugin-io_geda \
-		--plugin-export_png \
-		--plugin-attbl_lht \
-		--plugin-lib_ucdf 
-	cat scconfig/config.log
-	cat scconfig/config.cache
+		--plugin-export_tinycad \
 
 override_dh_auto_test:
 	dh_auto_test --no-parallel
